<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/09/2005 *
 * ===================                          Last change: 05/18/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : sponsor_ref.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Redirection for the referal link                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Weiterleitungsscript fuer die Referal-Links      *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software. You can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License.       *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here
require('inc/libs/security_functions.php');

// Set module
$GLOBALS['module'] = 'sponsor_ref';

// Set 'CSS-Mode'
$GLOBALS['output_mode'] = -2;

// Load the required file(s)
require('inc/config-global.php');

// Set content type for e.g. search engines
if (isSpider()) setContentType('text/html');

// Base URL for redirection
$URL = 'modules.php?module=index&amp;what=sponsor_reg&amp;refid=';

// Do we have a referal id?
if (!empty($GLOBALS['refid'])) {
	// We have an refid here. So we simply add it
	$URL .= $GLOBALS['refid'];
} else {
	// No refid so we redirect to the index page
	$URL = 'index.php';
}

// Load the URL
redirectToUrl($URL);

// [EOF]
?>
